Subject: RE: [Capwap] CAPWAP evaluation draft complete

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Mon, 26 Sep 2005 22:33:05 +0200

Inline, speaking as an individual

> -----Original Message-----
> From: Dan Harkins [mailto:[email-masked]]
> Sent: Monday, September 26, 2005 18:15
> To: Wijnen, Bert (Bert)
> Cc: Capwap (E-mail); [email-masked]
> Subject: Re: [Capwap] CAPWAP evaluation draft complete 
> 
> 
>   Bert,
> 
>   The way I understand Dorothy's announcment is that the RECOMMENDATION
> cannot be changed by the working group.

I think if the ET does a recommendation, then that is their reccommendation.
If we get clarifications over the next week, and as a result of that the ET
comes to a different conclusion, then the ET might change their recomendation,
but it is still their recommendation.

The WG can decide if they want to accpet or reject the recommendation.

> Right now it's WGLC on their draft and they're to "address clarification
> questions on the WG list".
>

My understanding is that if the doc is unclear that the WG gets a chance
to ask for clarifications and that such may lead to changes in the
document.  The ET may or may not change their recoemmendation based
on that discussion. In the end, it still is a recommendation from
the ET, and it is then up to the WG to accept or reject such
a recommendation. Maybe the WG decides that they want to pick
up part of the recommendation but not all of it.

That is a separate WG decision. Or at least that is how I look at it.
 
>   Yes, we can do a wholesale rejection of the draft itself 
> (and then it's
> back to square one) but we cannot change their recommendation. It is
> their recommendation that we must accept as is.

I think there is a difference.
- who are we (anyone) to change someone elses rfecommendation?
  It sounds as if you want to change someones opinion or 
  conclusion after they have studied. You can try, but I do not
  think you can OVERRIDE their opinion (i.e recommendation)

> This is a non-negotiable
> decision (err, RECOMMENDATION) and we're being asked to take 
> it or leave it.
> 

I think you/we have the option to
- accept the recommendation as is
- reject the recommendation as a whole
- accept part of the recommendation and add other pieces

In other words, the evaluation team has documented their findings
and has documented their recommendation.

The WG can decide what to do with the recommendation.

>   My statement was not one of supporting or rejecting their 
> recommendation
> it was pointing out that it's easier to add messages or 
> remove messages
> from any of the protocols than it is to change the tunneling 
> and security
> components of them. It would've been easier to start with 
> SLAPP and add
> the messages that it lacked, and therefore not "most 
> complete", then to
> start with LWAPP and replace 4 parts of its foundation with SLAPP's. 
> 

So to me it sounds thatr you do not want to accept the recommendation and 
to me it sounds as if you have a different recommendation to the WG.
And it seems you have some explanation as to why you think that your
recommendation is better. The WG can look at that too and opine
on your recommendation.

>   I understand the evaluation and how they put LWAPP ahead of 
> SLAPP but 
> given that none of the proposals are completely satisfactory I don't
> understand why they chose the route they did. They obviously liked the
> security of SLAPP, its flexibility in tunnelling options, and how it
> does tunnelling. So why not start with the base you like and add the
> toppings instead of starting with the toppings and change the base? 
> 
>   Heck, adding a control type in 4.5.1.8 of SLAPP for "LWAPP 
> messaging"
> would make this a cut-and-paste exercise! You get the 
> security you want,
> the tunnelling options you want, the way to tunnel you want, and the
> "most complete" messaging you want.
> 
>  As to your question on whether I support or reject their 
> recommendation
> I guess I'd have to...<drumroll please>...<wait for 
> it!>...reject it on
> the grounds that a starting point along the lines of my 
> observation above
> would've been easier to work with. 
> 

I hope I answered this above

Bert
>   Dan.
> 
> On Mon, 26 Sep 2005 08:13:35 +0200 you wrote
> > [dropped WG chairs, and James, they are on the mailing list. 
> >  and so am I].
> > 
> > W.r.t.
> > >   Now I understand that the 4 member evaluation team made 
> a decision
> > 
> > The evaluation team made a "decision" if you like for itself, 
> > but they reported that decision as a RECOMMENDATION to the WG.
> > 
> > > that cannot be changed by the WG and that the WG just has 
> to accept it
> > 
> > The WG CAN accpt it (instead of HAS TO accept it).
> > After all, it is a RECOMMENDATION.
> > 
> > 
> > Pls do not put words in the mouth of the evaluation team or the 
> > chairs. I do not believe any of them has stated that the WG
> > HAS TO accept anything.
> > 
> > So James has stated that he supports the recommendation of the
> > team. You seem to not support that. So what do the other WG members
> > think and opine?
> > 
> > Bert
> > > but it seems to me that it would be easier to start with SLAPP as
> > > a foundation and to change a few messages here and there 
> to address
> > > whatever shortcomings were perceived instead of taking LWAPP and
> > > replacing its foundation-- its security components, how it does
> > > tunneling, and its tunneling options-- with SLAPP's.
> > > 
> > >   Dan.
> > > 
> > > On Thu, 22 Sep 2005 10:56:09 PDT you wrote
> > > > Dorothy and Mani,
> > > > 
> > > > After reading the evaluation document, I support the 
> > > recommendation of the 
> > > > evaluation team. I hope the WG will be able to resolve the 
> > > lingering 
> > > > nontechnical issues fairly quickly and move forward with 
> > > completing the 
> > > > CAPWAP protocol based on the evaluation document's 
> recommendations.
> > > > 
> > > > I would also suggest that someone with good writing skills 
> > > do an editing 
> > > > pass through the evaluation document before it is submitted 
> > > to the IESG, 
> > > > since I noticed numerous typos and minor grammatical errors.
> > > > 
> > > >             jak
> > > > 
> > > > ----- Original Message ----- 
> > > > From: <[email-masked]>
> > > > To: <[email-masked]>
> > > > Cc: <[email-masked]>; <[email-masked]>; 
> > > <[email-masked]>; 
> > > > <[email-masked]>
> > > > Sent: Wednesday, September 21, 2005 6:34 PM
> > > > Subject: [Capwap] CAPWAP evaluation draft complete
> > > > 
> > > > 
> > > > 
> > > > After much hard work, the evaluation team has completed 
> the CAPWAP
> > > > evaluation draft.  Its is available for review at:
> > > > 
> > 
http://www.ietf.org/internet-drafts/draft-ietf-capwap-eval-00.txt and
> > also in the internet drafts directory.
> > 
> > The evaluation team concluded that LWAPP is the most complete proposal
> > and should be used as the basis for CAPWAP protocol moving forward.  In
> > addition, a number of recommendations were made which the evaluation
> > team believed should be addressed by the working group.
> > 
> > Over the next 2 weeks the evaluation team will address clarification
> > questions on the WG list.   The recommendation provided by the
> > evaluation team will not change, as this was intended to be an
> > independent activity supported by the WG.   This is essentially a WGLC
> > on the evaluation draft.  Please submit any clarification question to
> > the list by Friday, September 30th.
> > 
> > The next step will be to come to an agreement on the WG list to decide
> > to accept the recommended protocol.  Once we have established consensus,
> > we can further discuss the additional recommendations presented in the
> > draft.
> > 
> > We would like to thank the evaluation team on its thorough work and a
> > job well done.
> > 
> > Regards,
> > Dorothy and Mani
> > 
> > 
> > _______________________________________________
> > Capwap mailing list
> > [email-masked]
> > http://mail.frascone.com/mailman/listinfo/capwap
> > 
> > 
> > _______________________________________________
> > Capwap mailing list
> > [email-masked]
> > http://mail.frascone.com/mailman/listinfo/capwap
_______________________________________________
Capwap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/capwap

---

From: "James Kempf" <[email-masked]>
Date: Tue, 27 Sep 2005 10:18:36 -0700

Let me add a couple of points to Bert's.

Some people new to IETF may be unclear how the WG as a whole makes a 
decision. IETF works by "rough concensus". This doesn't mean that everyone 
agrees, it doesn't even mean in some cases that a majority of the WG agree. 
What it means is that the WG chairs have made a concensus call on the 
mailing list, that enough time is given for WG members to express their 
opinions and for any discussion, and that, at the conclusion of the 
discussion period, the WG chairs perform a careful examination of the 
opinions expressed in the email in order to determine, to their best and 
honest judgement, what the concensus of the WG is. That decision is then 
announced on the list as the WG decision, and the WG moves forward with 
implementing it.

Now, in a case as controversial as the current one, there is a high 
likelihood that someone or some group of WG participants are going to be 
unhappy with the outcome (this is not a certainty, but it does happen). In 
that case, the unhappy participants are free to appeal the case to the 
shepherding AD (in this case, Bert), if they think the WG chairs have 
misread concensus or somehow not taken something into account (or in cases 
of gross mismanagement). If Bert decides against them, the unhappy parties 
are then free to appeal to the IESG, and, ultimately, to the IAB.

Appeals are not as unusual as is often thought, but they rarely succeed just 
because some group of WG participants doesn't like a technical decision. 
Appeals on technical grounds are usually only successful if the concensus 
decision somehow neglected to consider some fairly basic technical points 
which the AD, IESG, or IAB feel is vital to maintaining a consistent and 
technically sound Internet protocol suite. Nevertheless, the appeals process 
is there for people who are unhappy with the results of a WG decision.

More details can be found in the relevant RFCs/BCPs involved in working 
group procedure (which, in any case, are the definitive reference and 
supercede my description above if there is any difference) but I hope that 
people will keep in mind this procedure as we go forward to avoid any 
misunderstandings.

            jak

---

From: "David T. Perkins" <[email-masked]>
Date: Tue, 27 Sep 2005 11:20:37 -0700 (PDT)

HI,

The fundamental part of this is what does "concensus" mean.
I believe that many people do not understand what this
means. Would you explain.

> >> > We would like to thank the evaluation team on its thorough work and a

Regards,
/david t. perkins

---

From: "James Kempf" <[email-masked]>
Date: Tue, 27 Sep 2005 11:28:12 -0700

See Section 3.3 of RFC 2418.

        jak

----- Original Message ----- 
From: "David T. Perkins" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: "Wijnen, Bert (Bert)" <[email-masked]>; "Dan Harkins" 
<[email-masked]>; "Capwap (E-mail)" <[email-masked]>; 
<[email-masked]>
Sent: Tuesday, September 27, 2005 11:20 AM
Subject: Re: [Capwap] CAPWAP evaluation draft complete

>> > If we get clarifications over the next week, and as a result of that 
>> > the
>> > ET

---

From: "David T. Perkins" <[email-masked]>
Date: Tue, 27 Sep 2005 11:38:43 -0700 (PDT)

HI,

Regrettably, concensus is not really explained there!

Would you like to give it a go for your definition.

Regards,
/david t. perkins

---

From: "James Kempf" <[email-masked]>
Date: Tue, 27 Sep 2005 14:09:51 -0700

No. Section 3.3 describes how consensus is arrived at.

            jak

----- Original Message ----- 
From: "David T. Perkins" <[email-masked]>
To: "James Kempf" <[email-masked]>
Cc: "Capwap (E-mail)" <[email-masked]>; <[email-masked]>
Sent: Tuesday, September 27, 2005 11:38 AM
Subject: Re: [Capwap] CAPWAP evaluation draft complete

>> >> unhappy with the outcome (this is not a certainty, but it does 
>> >> happen).
>> >> In
>> >> Appeals are not as unusual as is often thought, but they rarely 
>> >> succeed
>> >> just
>> >> > So to me it sounds thatr you do not want to accept the 
>> >> > recommendation
>> >> > and
>> >> >> > and should be used as the basis for CAPWAP protocol moving 
>> >> >> > forward.
>> >> >> > In
>> >> >> > on the evaluation draft.  Please submit any clarification 
>> >> >> > question
>> >> >> > to
>> >> >> > we can further discuss the additional recommendations presented 
>> >> >> > in
>> >> >> > the
>> >> >> > draft.
>> >> >> >
>> >> >> > We would like to thank the evaluation team on its thorough work 
>> >> >> > and
>> >> >> > a
>> >> >> > job well done.
>> >> >> >
>> >> >> > Regards,
>> >> >> > Dorothy and Mani
>> >> >> >
>> >
>> >
>> > Regards,
>> > /david t. perkins
>> >
>>
>>
>
>